/* Copyright (C) 2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#if !defined(AFX_TASKGROUPDEFDLG_H__79DFA113_E169_11D4_94C9_00C04F89E392__INCLUDED_)
#define AFX_TASKGROUPDEFDLG_H__79DFA113_E169_11D4_94C9_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TaskGroupDefDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTaskGroupDefDlg dialog
#include "TaskGroupDefData.h"
class CTaskGroupDefDlg : public CDialog
{
// Construction
public:
	CTaskGroupDefDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CTaskGroupDefDlg)
	enum { IDD = IDD_TASKGROUP_DLG };
	CSpinButtonCtrl	m_ctlVUsSpin;
	CSpinButtonCtrl	m_ctlVUPerIntSpin;
	CComboBox	m_ctlStatLevel;
	CSpinButtonCtrl	m_ctlStartIntervalSpin;
	int		m_nStatLevel;
	int		m_nStartInterval;
	int		m_nNumVUs;
	int		m_nVUPerInterval;
	BOOL	m_bGenPageTimers;
	//}}AFX_DATA

	void LoadFromBuffer(LPBYTE pData);
	BOOL SaveToBuffer(LPBYTE pData,DWORD& dwBufferSize);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTaskGroupDefDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTaskGroupDefDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	CTaskGroupDefData m_TaskGroupData;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TASKGROUPDEFDLG_H__79DFA113_E169_11D4_94C9_00C04F89E392__INCLUDED_)
