#if !defined(AFX_VARDBROWSELPPAGE_H__A0D091F3_169F_11D4_BEB8_00A024AC5351__INCLUDED_)
#define AFX_VARDBROWSELPPAGE_H__A0D091F3_169F_11D4_BEB8_00A024AC5351__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// VarDBRowSelPPage.h : header file
//

#include <ExtendedPropertyPage.h>
#include "resource.h"
#include <VarStructures.h>

/////////////////////////////////////////////////////////////////////////////
// CVarDBRowSelPPage dialog

class CVarDBRowSelPPage : public CExtendedPropertyPage
{
    // Construction
public:
    CVarDBRowSelPPage(CVarDBParam * _pVarDBParam = NULL);   // standard constructor
    ~CVarDBRowSelPPage();

    // Dialog Data
    //{{AFX_DATA(CVarDBRowSelPPage)
    enum { IDD = IDD_VAR_DBROWSEL_PPAGE };
    // NOTE: the ClassWizard will add data members here
    //}}AFX_DATA


    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CVarDBRowSelPPage)
    virtual void Ctrl2Values();
    virtual void Values2Ctrl();
    virtual LRESULT OnWizardBack();
    virtual LRESULT OnWizardNext();
    //}}AFX_VIRTUAL

    // Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(CVarDBRowSelPPage)
    virtual BOOL OnInitDialog();
    afx_msg void OnRowselAll();
    afx_msg void OnRowselSome();
    afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
    afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

    CVarDBParam *       m_pVarDBParam;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VARDBROWSELPPAGE_H__A0D091F3_169F_11D4_BEB8_00A024AC5351__INCLUDED_)
