#if !defined(AFX_VARVALLISTPPAGE_H__649E1724_D8B9_11D3_930B_00104B4B2995__INCLUDED_)
#define AFX_VARVALLISTPPAGE_H__649E1724_D8B9_11D3_930B_00104B4B2995__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// VarValListPPage.h: header file
//

#include <ExtendedPropertyPage.h>
#include <VarStructures.h>
#include "resource.h"

class CVarValListPPage : public CExtendedPropertyPage
{
    DECLARE_DYNCREATE(CVarValListPPage)

    //Attribute
public:

    // Construction
public:
    CVarValListPPage(CVarInfo * _pVarInfo = NULL) ;
    ~CVarValListPPage() ;

    // Dialog Data
    //{{AFX_DATA(CVarValListPPage)
	enum { IDD = IDD_VAR_VALLIST_PPAGE };
	CListCtrl	m_ListValue;
	//}}AFX_DATA


    // Overrides
    // ClassWizard generate virtual function overrides
    //{{AFX_VIRTUAL(CVarValListPPage)
public:
    virtual LRESULT OnWizardBack();
    virtual LRESULT OnWizardNext();
    virtual void Ctrl2Values();
    virtual void Values2Ctrl();
    virtual BOOL OnSetActive();
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL
    // Implementation
protected:
    // Generated message map functions
    //{{AFX_MSG(CVarValListPPage)
    virtual BOOL OnInitDialog();
    afx_msg void OnAutoGenerate();
    afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
    afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg void OnAdd();
	afx_msg void OnDelete();
	afx_msg void OnEndlabeleditVallistList(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
    DECLARE_MESSAGE_MAP()
    CVarInfo * m_pVarInfo ;

    void ResetGrid();

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VARVALLISTPPAGE_H__649E1724_D8B9_11D3_930B_00104B4B2995__INCLUDED_)
