/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/*
 *  tpg_rtndef.h:
 *  =============
 *
 *  Include File containing TPG function prototypes.
 */

/* Define Incomplete Structures for all referenced types */

#include <psl_structures.h>     /* Common Structures */

struct tpg_com;             /* Common Data Structure */

unsigned long TPG_GETCMD (struct tpg_com *tpg_com_ptr,
                          long argc,
                          char *argv_ptr []);

unsigned long TPG_GETNXT_FILE (struct tpg_com *tpg_com_ptr,
                               char *outbuf_ptr);

/*  End of Include File  */
