/* Copyright (C) 2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// TestCtrl.cpp : implementation file
//

#include "stdafx.h"
#include "TestPlugin.h"
#include "TestCtrl.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTestCtrl

CTestCtrl::CTestCtrl()
{
}

CTestCtrl::~CTestCtrl()
{
}


BEGIN_MESSAGE_MAP(CTestCtrl, CECGridCtrl)
	//{{AFX_MSG_MAP(CTestCtrl)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTestCtrl message handlers
BOOL CTestCtrl::HitTest(CPoint pt,int& nRow,int& nCol)
{
	CCellID cell = GetCellFromPt(pt);
	if(cell.IsValid())
	{
		nRow = cell.row;
		nCol = cell.col;
		return true;
	}
	return false;
}

void CTestCtrl::PreSubclassWindow() 
{
	CECGridCtrl::PreSubclassWindow();

	m_DropTarget.Revoke();	//don't let grid handle drag and drop
}
