#if !defined(AFX_CECABOUTPLUSDLG_H__FDEFDCC7_A811_11D3_93C0_0060084D8878__INCLUDED_)
#define AFX_CECABOUTPLUSDLG_H__FDEFDCC7_A811_11D3_93C0_0060084D8878__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CECAboutPlusDlg.h : header file

/////////////////////////////////////////////////////////////////////////////
// CECAboutPlusDlg dialog

class CECAboutPlusDlg : public CDialog
{
    // Construction
public:
    static int CALLBACK EXPORT CECAboutPlusDlg::SortedListCompareProc (LPARAM lParam1, LPARAM lParam2, LPARAM lParamSort);

    CECAboutPlusDlg(CWnd* pParent = NULL);   // standard constructor
    ~CECAboutPlusDlg();

    // Dialog Data
    //{{AFX_DATA(CECAboutPlusDlg)
    enum { IDD = IDD_ABOUT_ADVANCED };
    // NOTE: the ClassWizard will add data members here
    //}}AFX_DATA


    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CECAboutPlusDlg)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:
    // Generated message map functions
    //{{AFX_MSG(CECAboutPlusDlg)
    virtual BOOL OnInitDialog();
    afx_msg void OnColumnClick(NMHDR* pNMHDR, LRESULT* pResult);
    afx_msg void OnExport();
    afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

    BOOL            m_bIsAscendingSort;
    int             m_nLastSortedColumn;
    int             m_nColumnClicked;
    CStringArray    m_FileVersionArray;
    CStringArray    m_FileNamesArray;
    CStringArray    m_FilePathArray;
    CString         m_CyranoHome;

    void        AddToListCtrl       ();

    int         SortItems           (int nItem1, int nItem2);

    void        SetupListBox        ();

    void        PopulateListBox     ();

    void        ListFiles           (CString& FilePath, CString strExt);

    // @cmember The subclassed list box
    CListCtrl   m_ListBox;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CECABOUTPLUSDLG_H__FDEFDCC7_A811_11D3_93C0_0060084D8878__INCLUDED_)
